#3900 closed task (fixed)

New template for boolean feature defines

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: doc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3836

Description (last modified by Sebastian Huber)

All boolean feature defines are undefined by default. The current template is a bit awkward. Change the application configuration option template for boolean feature defines to:

.. index:: CONFIGURE_XYZ

.. _CONFIGURE_XYZ:

CONFIGURE_XYZ
-------------

CONSTANT:
    ``CONFIGURE_XYZ``

OPTION TYPE:
    This configuration option is a boolean feature define.

DEFAULT CONFIGURATION:
    If this configuration option is undefined, then not ABC or something else.

DESCRIPTION:
    In case this configuration option is defined, then ABC.

NOTES:
    Notes for XYZ.

Change History (5)

comment:1 Changed on Mar 6, 2020 at 3:19:52 PM by Sebastian Huber

Description: modified (diff)

comment:2 Changed on Mar 6, 2020 at 3:28:34 PM by Sebastian Huber

Blocking: 3836 added

comment:3 Changed on Mar 24, 2020 at 6:50:57 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In dfe0ec0/rtems-docs:

c-user: Use new template for feature config opts

Try to bring all descriptions up to date. Add cross-references to
several options.

Close #3900.

comment:4 Changed on Mar 30, 2020 at 9:16:33 AM by Sebastian Huber <sebastian.huber@…>

In 2f18a53/rtems-docs:

c-user: Use new template for feature config opts

Update #3900.

comment:5 Changed on Mar 30, 2020 at 9:50:19 AM by Sebastian Huber <sebastian.huber@…>

In e26f874/rtems-docs:

c-user: Avoid self references

Update #3900.

Note: See TracTickets for help on using tickets.